Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 05-11-2009 10:49:51

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

[Réglé] Est-ce que je peux mettre à jour sans problème ?

Bonjour.

Je n'ai pas encore l'habitude des "sources.list" plutôt composites de Debian.
Je vous donne le mien en dessous.
Ma question : est-ce que je peux mettre à jour sans problème ?
Je précise que je n'ai pas de fichier preferences.

A+
Merci.


#
# deb cdrom:[Debian GNU/Linux testing _Squeeze_ - Official Snapshot amd64 CD Binary-1 20090908-00:24]/ squeeze main

#deb cdrom:[Debian GNU/Linux testing _Squeeze_ - Official Snapshot amd64 CD Binary-1 20090908-00:24]/ squeeze main

# deb http://ftp.fr.debian.org/debian sid main contrib non-free
deb http://ftp.fr.debian.org/debian squeeze main contrib non-free
deb-src http://ftp.fr.debian.org/debian squeeze main contrib non-free

# Line commented out by installer because it failed to verify:
deb http://security.debian.org/ squeeze/updates main
# Line commented out by installer because it failed to verify:
deb-src http://security.debian.org/ squeeze/updates main

deb http://www.debian-multimedia.org squeeze main
deb http://www.debian-multimedia.org sid main

deb http://ftp.fr.debian.org/debian lenny main contrib non-free


# Scribus
#deb http://debian.scribus.net/debian/ testing main non-free contrib
#deb http://debian.tagancha.org/debian/ testing main non-free contrib

Dernière modification par laguespa (29-11-2009 12:07:36)


"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#2 05-11-2009 11:17:27

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

Bonjour laguespa !

Ton source.list est bien exogène mon gaillard !

Sans fichier preferences, il vaut mieux se tenir à une branche définie, soit la stable/lenny, soit, la unstable/sid complétée des sources testing/squeeze.
Histoire de conserver une certaine homogénéïté de maintenance...

Pourquoi désires-tu tant de branches dans ton système ?
Quel est la debian que tu veux te concocter ?
Pour quoi faire et pour quelles raisons ?

Ainsi, nous pourrions davantage te proposer de solutions basées sur nos expérimentations personnelles. smile

Pour l'heure, le mélange proposé me paraît sources de soucis avec les dépendances entrecroisées ! wink

Amitié, Joel

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#3 05-11-2009 11:21:21

phlinux
Membre
Lieu : S-M
Distrib. : Jessie
Noyau : 4.6
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

Bjr,
Si tu veux rester en Squeeze sans préférences ça va pas être facile : apt va d'emblée installer la version la plus récente.
Donc, comme les dépôts sid accueillent souvent les dernières versions...
Va faire un tour dans le wiki, qui doit être pas trop mal fait dans la section sources.list . Et si tu ne comprends pas reviens poser ton problème

Pages perso : feh, omegat, udisks, sa station de travail comme passerelle

Hors ligne

#4 05-11-2009 12:40:16

damien
Modo / Rédacteur Wiki
Lieu : St Etienne
Distrib. : Debian Jessie 8
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome3
Inscription : 22-09-2008
Site Web

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

Salut laguespa

Il faut éviter d'ajouter dépôts qui proviennent de différentes versions
Dans ton sources.list il y a

deb http://www.debian-multimedia.org sid main
deb http://ftp.fr.debian.org/debian lenny main contrib non-free


En plus de Squeeze.
Si tu n'utilises pas de fichier preferences c'est dangereux

J'écrirais ton sources.list comme ceci

# deb cdrom:[Debian GNU/Linux testing _Squeeze_ - Official Snapshot amd64 CD Binary-1 20090908-00:24]/ squeeze main

#deb cdrom:[Debian GNU/Linux testing _Squeeze_ - Official Snapshot amd64 CD Binary-1 20090908-00:24]/ squeeze main

# securité
deb http://security.debian.org/ squeeze/updates main contrib non-free
deb-src http://security.debian.org/ squeeze/updates main contrib non-free

# main, contrib et non-free
deb http://ftp.fr.debian.org/debian squeeze main contrib non-free
deb-src http://ftp.fr.debian.org/debian squeeze main contrib non-free

# multimedia
deb http://www.debian-multimedia.org squeeze main

# Scribus
#deb http://debian.scribus.net/debian/ testing main non-free contrib
#deb http://debian.tagancha.org/debian/ testing main non-free contrib


A bientôt
damien


logo_3dminfographie_signature.png

Hors ligne

#5 05-11-2009 15:56:21

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

Salut tout le monde.

smolski :
L'ami avec qui j'ai fait la migration Ubuntu --> Debian m'a dit qu'il n'avait jamais réussi à faire marcher sa distribution avec un fichier "preferences" et que de toute façon je n'en avais pas besoin puisque les upgrade se faisaient dans l'ordre de priorité dans lequel les sources étaient inscrites dans le sources.list
Concernant la diversité des sources il y a plusieurs raisons.  Je crois me souvenir que nous avons ajouté la sid pour pouvoir installer GNOME 2.26.1, la version antérieure présentant un léger bug au démarrage (affichage d'un message d'erreur) et la 2.26.1 n'étant pas disponible avec la testing. Je n'en suis plus certain mais il me semble que c'était ça.
Pour le reste de la sid c'est lié aux logiciels que j'utilisais sous Ubuntu et que je voulais retrouver sous Debian. Qu'il y aurait du VLC dans l'air que ça m'étonnerait pas.
J'aimerais d'ailleurs savoir comment on fait pour savoir dans quelle source de quelle branche se trouve le logiciel qu'on veut installer.

phlinux :
J'ai parcouru une première fois la section sources.list du wiki. Pas facile à comprendre pour moi du premier coup ces histoires de mélange de sources. Je vais donc en faire une seconde lecture et on pourra en recauser.

Damien :
Je copie le sources.list que tu me proposes et je le range /etc/apt/sources.list_damien. Ca me servira d'ici peu je pense.
Au fait, quelles balises tu utilises pour afficher tes lignes de code sur ce post ?

Des explications :
J'étais en train de cuire les brochets qu'on venait de pêcher prendant que mon ami s'occupait de l'install. D'habitude je suis plus attentif que ça mais cette fois c'était vraiment pas possible...

Merci à tous.

"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#6 05-11-2009 16:45:18

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

Ah !

les upgrade se faisaient dans l'ordre de priorité dans lequel les sources étaient inscrites dans le sources.list


Les upgrades se font automatiquement (sauf avis contraire du fichier preferences) sur les versions DE NUMÉRO le plus élevé de ton sources.list, sans tenir compte de sa place dans l'ordre d'écriture.

Une seule branche dans tes sources, pas de preferences, puisque la branche possède ses propres versions accordées à ses propres dépendances.

Plusieurs branches, seul un fichier preferences donnera la priorité d'installation d'une version (avec ses dépendances) de telle ou de telle branche inscrite dans le sources.list.

Pas des versions d'un côté et des dépendances d'une version différente de l'autre. Logique ! wink

un fichier "preferences" et que de toute façon je n'en avais pas besoin


T'imagine un dev debian :
Hop ! Tiens je vais faire un fichier dans /apt qui sert à rien...
Il vaut mieux en comprendre la raison et l'utilisation, non ? wink

Tchibâââ ! lol

Amitié, Jojo


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#7 05-11-2009 17:18:18

phlinux
Membre
Lieu : S-M
Distrib. : Jessie
Noyau : 4.6
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

re-

laguespa a écrit :

J'aimerais d'ailleurs savoir comment on fait pour savoir dans quelle source de quelle branche se trouve le logiciel qu'on veut installer


On va partir de l'hypothèse générale que tous les logiciels se trouvent dans toutes les branches. Donc ce qui diffère ce sont les fonctionnalités qui vont, logiquement, en s'améliorant ou en s'étoffant.
On peut vouloir les toutes dernières versions,avec toutefois la sécurité de ne pas rester en rade si un paquet est bugué, ou encore ne "piocher" que certains paquets récents (ça c'est risquer la déstabilisation du système). Voilà des raisons de faire du pinning

Pour ta question il y a ces moteurs de recherche (en bas de page) > http://www.debian.org/distrib/packages
Et un exemple avec vlc > http://packages.debian.org/search?keywo … lla-search


Pages perso : feh, omegat, udisks, sa station de travail comme passerelle

Hors ligne

#8 05-11-2009 21:27:34

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

Salut phlinux

Je me demandais dans quelle branche se trouvait ma version de gnome (GNOME 2.26.1) et, histoire de m'entraîner, je faisais une recherche sur http://www.debian.org/distrib/packages. Seulement ça ne me trouve aucun résultat. Pourquoi donc ?

A+

"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#9 05-11-2009 21:58:06

phlinux
Membre
Lieu : S-M
Distrib. : Jessie
Noyau : 4.6
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

re-
Parce qu'il y a un "point" à la fin de "ton" adresse (après /packages)

Pages perso : feh, omegat, udisks, sa station de travail comme passerelle

Hors ligne

#10 05-11-2009 22:13:41

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

Non, ça ne vient pas de là, le point c'est pour fermer la phrase. J'avais bien accès à la page http://www.debian.org/distrib/packages et je n'obtiens aucun résultat pour ma recherche.

A+

"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#11 05-11-2009 22:14:36

damien
Modo / Rédacteur Wiki
Lieu : St Etienne
Distrib. : Debian Jessie 8
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome3
Inscription : 22-09-2008
Site Web

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

Salut laguespa

J'utilise les balises
quote/quote
Et pour la couleur verte
color=#23F20C/color
Tout ça entre crochet [
cf. http://debian-facile.org/forum/help.php#img

a+ man

logo_3dminfographie_signature.png

Hors ligne

#12 06-11-2009 04:30:18

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

laguespa a écrit :

Salut phlinux

Je me demandais dans quelle branche se trouvait ma version de gnome (GNOME 2.26.1) et, histoire de m'entraîner, je faisais une recherche sur http://www.debian.org/distrib/packages. Seulement ça ne me trouve aucun résultat. Pourquoi donc ?

A+


Salut

Pourtant cela fonctionne bien. Si je suis ton lien, que je tape comme mot clé : gnome et pour Distribution : toutes, j'obtiens ce résultat. Lorsque tu fais la même chose, qu'est-ce qui s'affiche à l'écran comme résultat ?

Sinon, tu peux aussi utiliser la ligne de commande qui indiquera les versions d'un paquet disponible selon les branches présentes dans ton sources.list. Par exemple, dans mon cas, un:

apt-cache policy gnome


donne ceci :

gnome:
  Installé : (aucun)
  Candidat : 1:2.28+1
 Table de version :
     1:2.28+1 0
        500 http://ftp.ca.debian.org unstable/main Packages
     1:2.26+0 0
        500 http://ftp.ca.debian.org testing/main Packages
     1:2.22.2~5 0
        500 http://ftp.ca.debian.org stable/main Packages


Dans mon cas, bien que l'environnement de bureau Gnome soit installé, le méta-paquet gnome ne l'est pas. J'ai préféré avoir le minimum avec gnome-core, puis ajouté ce que je voulais seulement.


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#13 06-11-2009 10:19:33

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

Salut.

C'est parce que j'ai effectué la recherche avec la version de gnome que je n'ai rien trouvé (2.26.1). Comme je l'ai dit plus haut il me semble qu'une partie de la diversité des paquets, notamment la présence de Sid, était justifiée par la version boguée de gnome fournie avec testing. Je voulais donc m'assurer que que la 2.26.1 n'était présente ni dans lenny, ni dans squeeze.

A+

"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#14 28-11-2009 17:29:03

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

Bonjour à tou(te)s

Pour finir je vais mettre un sources.list de sid et je ferai des mises à jour quotidiennes. Si jamais ça ne me convenait pas j'ai sauvé mon ancien sources.list et celui que Damien m'a proposé (squeeze) et je pourrais y revenir. Certes j'ai lu que je pouvais mélanger du stable, du testing et de l'instable (http://debian-facile.org/wiki/manuel:sources.list) sans même utiliser de fichier preferences mais si je peux m'en passer...
Si jamais vous avez des remarques à me faire avant que je fasse un full-upgrade demain matin...

A+

"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#15 28-11-2009 21:31:25

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

Re-salut tout le monde.

Je mets les sources.list copié texto sur Debian facile que j'envisage de substituer à mon ancien un peu merdique. Je m'en suis rendu compte en voulant installer un serveur lamp...

## sid
 deb http://ftp.fr.debian.org/debian/ sid main contrib non-free
 # deb-src http://ftp.fr.debian.org/debian/ sid main contrib non-free
 
 ## sid multimedia
 deb http://www.debian-multimedia.org sid main
 # deb-src http://www.debian-multimedia.org sid main


et si ça marche pas j'ai celui-là en secours copié lui aussi sur au même endroit.

## stable
deb http://ftp.fr.debian.org/debian/ stable main contrib non-free
# deb-src http://ftp.fr.debian.org/debian/ stable main contrib non-free
 
## stable security
deb http://security.debian.org/ stable/updates main contrib non-free
# deb-src http://security.debian.org/ stable/updates main contrib non-free
 
## volatile
deb http://volatile.debian.org/debian-volatile stable/volatile main contrib non-free
# deb-src http://volatile.debian.org/debian-volatile stable/volatile main contrib non-free

## stable multimedia
deb http://www.debian-multimedia.org stable main
# deb-src http://www.debian-multimedia.org stable main

## testing
deb http://ftp.fr.debian.org/debian/ testing main contrib non-free
# deb-src http://ftp.fr.debian.org/debian/ testing main contrib non-free
 
## testing multimedia
deb http://www.debian-multimedia.org testing main
# deb-src http://www.debian-multimedia.org testing main
 
## testing security
deb http://security.debian.org/ testing/updates main contrib non-free
# deb-src http://security.debian.org/ testing/updates main contrib non-free


## sid
deb http://ftp.fr.debian.org/debian/ sid main contrib non-free
# deb-src http://ftp.fr.debian.org/debian/ sid main contrib non-free
 
 ## sid multimedia
deb http://www.debian-multimedia.org sid main
# deb-src http://www.debian-multimedia.org sid main


A+ si vous avez des remarques ou des conseils.


"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#16 29-11-2009 04:11:15

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

Salut

Pour utiliser sid sur une base quotidienne depuis un certain temps, je te conseille d'utiliser le second sources.list de ton message ci-dessus. Tu n'as pas besoin de preferences dans ce cas. Dans 99% des cas, un sources.list uniquement avec le dépôt sid sera suffisant. Pour le 1% qui reste, il est utile d'avoir un sources.list plus complet. Si, par exemple, un paquet est buggé ou cassé dans sid, une façon de s'en tirer est d'aller chercher la version dans testing par exemple et de bloquer cette version jusqu'à la prochaine mise à jour de sid (ce qui ne tarde jamais trop dans cette branche). Pour ma part j'utilise uniquement aptitude pour installer et mettre à jour. En cas de problème de dépendance (ce qui peut arrriver à l'occasion), celui-ci propose des scénarios pour s'en sortir, à condition bien sûr d'avoir un sources.list complet.

"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#17 29-11-2009 12:04:05

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

Ok, j'utiliserai le deuxième sources.list sans fichier preference.

Merci.
A+

"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#18 04-12-2009 12:39:09

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

Bon, la Sid ça va pas être pour tout de suite. Faut que j'étudie ça beaucoup plus sérieusement que je ne le faisais sous Ubuntu où le sources.list est moins pointu à régler.

A+ et merci à tout le monde.

"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#19 04-12-2009 12:50:50

phlinux
Membre
Lieu : S-M
Distrib. : Jessie
Noyau : 4.6
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

re-
C'est dommage rien de plus simple que sid. Sauf quand ça foire sur un paquet, mais on a pu voir hier que la "communauté" est très réactive.

Perso j'y connais rien et je flippe quand ça merde : alors je mets en place les outils pour rester calme et serein, tsoin, tsoin

Pages perso : feh, omegat, udisks, sa station de travail comme passerelle

Hors ligne

#20 04-12-2009 13:42:53

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

J'abandonne pas, il me reste une bonne semaine à être allongé pour foutre la merde dans mon système lol

A+

"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#21 05-12-2009 04:42:17

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

Salut

Je ne sais pas si tu as une autre distribution installée en plus de lenny sur ton ordi et/ou si tu as un peu de place libre sur ce dernier, mais, une idée comme ça : tu gardes lenny comme roue de secours et tu mets en parallèle une sid pour t'amuser et "foutre la merde".

"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#22 05-12-2009 11:14:37

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : [Réglé] Est-ce que je peux mettre à jour sans problème ?

C'est ce que je vais faire parce que j'en ai marre de refaire des install successives avec du bas débit.

A+

"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

Pied de page des forums